<?php
$sortByAgencyEscortStatuses = array(
    "all"   => "#manage-models?active_tab=all",
    "active"   => "#manage-models?active_tab=active",
    "offline"  => "#manage-models?active_tab=offline",
    "disabled" => "#manage-models?active_tab=disabled",
    "not_completed" => "#manage-models?active_tab=not_completed",
    "deleted" => "#manage-models?active_tab=deleted",
);

?>
<div class="right-section">

    <div class="manage-specific-escort" style="display: none;">
<!--        <button class="btn btn-brown" onclick="AgencyEscorts.backToModels()">--><?//= __('back') ?><!--</button>-->
        <div class="mb-10"></div>
        <?= $this->render('profile/full.phtml') ?>
    </div>

    <div class="manage-escort-tabs manage-escort-box">
<!--        <div class="section-subtitle uppercase">--><?//= __('manage_your_models') ?><!--</div>-->
        <div class="mb-0 box-section inputs-container escort-manager">
            <p class="text-grey"><?= __('list_of_profiles') ?></p>
            <div class="clear mb-10"></div>
            <? $sort_types = [
                'alpha' => __('alphabetically'),
                'paid-package' => __('premium_first'),
                'last-modified' => __('modification_date'),
                'escort-id' => __('escort_id'),
            ] ?>

            <div class="d-flex align-items-center justify-content-between flex-wrap flex-md-nowrap">
                <div class="showname-search autocomplete-container d-flex flex-grow-1 mb-10" >
                    <input id="showname-search" type="text" name="showname"  placeholder="Show name">
                    <button class="btn btn-default btn-small search-showname-button">Go</button>
                </div>
                <div class="dropdown filter-dropdown">
                    <select class="single-option-select d-none" id="agency-escorts-status-sort" >
                           <? foreach ($sortByAgencyEscortStatuses as $k => $url): ?>
                               <option value="<?= $url ?>"><?= $k ?></option>
                           <? endforeach; ?>
                    </select>
                    <a class="dropdown-toggle" id="agencyEscortsStatusesFilter" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <? str_replace('_', ' ',$this->active_tab)?>
                        <span class="dropdown-toggle-val sentancecase"><?= $this->active_tab ? str_replace('_', ' ',$this->active_tab) : ''?></span>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="agencyEscirtsStatusFilter">
                        <? foreach ($sortByAgencyEscortStatuses as $k => $url): ?>
                            <li data-val="<?= $url ?>" class="filter-status-selection"><a href="<?= $url ?>" class="mt-2 <?= $this->active_tab == $k ? $k.' active disabled' : '' ?> sentancecase" title="<?=$k?>"><?=str_replace('_', ' ',$k)?></a></li>
                        <? endforeach; ?>
                    </ul>
                </div>

                <div class="dropdown filter-dropdown">
                    <select class="single-option-select d-none" id="agency-escorts-sort" onchange="AgencyEscorts.update_escorts();">
                        <? foreach ($sort_types as $id => $title): ?>
                            <? if ($this->sort == $id) $primary_sort_type = $title ?>
                            <option value="<?= $id ?>" <?= $this->sort == $id ? 'selected="selected"' : '' ?>>
                                <?= $title ?>
                            </option>
                        <? endforeach; ?>
                    </select>
                    <a class="dropdown-toggle" id="agencyEscirtsFilter" data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        <span class="dropdown-toggle-val sentancecase"><?= $primary_sort_type ? $primary_sort_type : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                        <span class="caret"></span>
                    </a>
                    <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="agencyEscirtsFilter">
                        <? foreach ($sort_types as $id => $title): ?>
                            <li data-val="<?= $id ?>"><a href="javascript:void(0)" class="sentancecase"><?= $title ?></a></li>
                        <? endforeach; ?>
                    </ul>
                </div>

            </div>
            <div class="clear mb-10"></div>
        </div>
        <div class="pt-0 box-section escort-manager escorts-list">
            <div class="d-flex flex-wrap flex-md-nowrap align-items-center justify-content-center justify-content-md-start">
                <? $showedEscorts = $this->escorts;
                //In some cases, when profile not completed, escort get showname = null and displays as 'invisible' in agency manage section.
                $getEscortsShownames = array_column($showedEscorts, 'showname'); ?>
                <div class="profile-count">Showing <?= count(array_filter($getEscortsShownames)) ?> profiles</div>
            </div>
            <? foreach ($this->escorts as $i => $escort): ?>

                <?php
                $escort = new Model_EscortItem($escort);
                $is_offline = false;
                $is_admin_disabled = false;
                $hasNegativeStatus = false;
                $status = $status_class = '';

                if ((ESCORT_STATUS_ACTIVE & $escort->status) != 0) {
                    $status = 'Active';
                    $status_class = 'status-active';

                }elseif ((ESCORT_STATUS_OFFLINE & $escort->status) != 0) {
                    $status = 'Offline';
                    $is_offline = true;
                    $status_class = 'status-offline';
                    $hasNegativeStatus = true;
                }elseif ((ESCORT_STATUS_AWAITING_PAYMENT & $escort->status) != 0) {
                    $status = 'Awaiting Payment';
                    $is_offline = true;
                    $status_class = 'status-offline';
                    $hasNegativeStatus = true;
                }elseif ((ESCORT_STATUS_SUSPICIOUS_DELETED & $escort->status) != 0 || (ESCORT_STATUS_DELETED & $escort->status) != 0 || (ESCORT_STATUS_TEMPRARY_DELETED & $escort->status) != 0) {
                    $status = 'Deleted';
                    $status_class = 'status-deleted';
                    $hasNegativeStatus = true;
                }elseif ((ESCORT_STATUS_ADMIN_DISABLED & $escort->status) != 0 ) {
                    $status = 'Admin disabled';
                    $status_class = 'status-admin-disabled';
                    $hasNegativeStatus = true;
                    $is_admin_disabled = true;
                }elseif ((ESCORT_STATUS_OWNER_DISABLED & $escort->status) != 0) {
                    $status = 'Owner disabled';
                    $status_class = 'status-owner-disabled';
                    $hasNegativeStatus = true;
                }elseif ((ESCORT_STATUS_INACTIVE & $escort->status) != 0) {
                    $status = 'Inactive';
                    $status_class = 'status-inactive';
                    $hasNegativeStatus = true;
                }
                elseif ((ESCORT_STATUS_PARTIALLY_COMPLETE & $escort->status) != 0 || (ESCORT_STATUS_NO_ENOUGH_PHOTOS & $escort->status) != 0)  {
                    $status = 'Incomplete';
                    $status_class = 'incomplete';
                    $hasNegativeStatus = true;
                }
                if (( ESCORT_STATUS_PROFILE_CHANGED & $escort->status ) !=0 && ((ESCORT_STATUS_ACTIVE & $escort->status) != 0)) {
                    $status .= ' Under revision';
                    $status_class .= ' under_revision';
                }

                if (empty($escort->showname)) continue;
                ?>
                <div <?= Zend_Registry::get('isMobile') ? 'data-toggle="modal" data-target="#short-view-escort-' . $escort->id . '"' : '' ?>
                        class="escort-container-info d-flex flex-wrap flex-md-nowrap align-items-center">
                    <div class="image bg-image"
                         style="background-image: url(<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('orig', true) : '/images/default-image.jpeg' ?>);"></div>
                    <div class="escort-info w-100">
                        <div class="d-flex flex-wrap flex-md-nowrap align-items-center justify-content-center justify-content-md-start">
                            <? if ($escort->is_vip): ?>
                                <div class="vip-status uppercase">vip</div>
                            <? endif; ?>
                            <div class="name"><?= $escort->showname ?></div>&nbsp;
                            (<?= __('id') ?> #<?= $escort->id ?>)
                            <? if ($this->actionError && $this->a_escort_id == $escort->id): ?>
                                &nbsp;<a class="error-tooltip" data-toggle="tooltip"
                                         title="<?= $this->actionError ?>">?</a>
                            <? endif; ?>
                            <? /* if ((32 & $escort->status) != 0): */ ?>
                            &nbsp;<a href="/escort/<?= $escort->showname ?>-<?= $escort->id ?>/" class="desktop-only"
                                     target="_blank">View</a>
                            <? /* endif; */ ?>
                        </div>
                        <div class="desktop-only d-flex flex-wrap flex-md-nowrap align-items-center justify-content-center justify-content-md-start">

                            <div class="city"><strong>City:</strong> <?= ($escort->title_en)?$escort->title_en:'No City'; ?></div>
                        </div>
                        <div class="desktop-only d-flex flex-wrap flex-md-nowrap align-items-center justify-content-between ">
                            <div class="package">
                                <strong>Package:</strong> <?= ($escort->package_name) ? $escort->package_name : 'No active package' ?>
                            </div>
                                <div class="status <?= $status_class ?>"><strong>Status:</strong> <?= $status ?></div>
                        </div>
                        <div class="option-container d-flex align-items-center flex-wrap flex-md-nowrap">
                           <? if ((ESCORT_STATUS_ACTIVE & $escort->status) != 0): ?>
                                <button onClick="AgencyEscorts.showEscort({section: 'biography', escort: <?= $escort->id ?>})"
                                        class="btn btn-default custom-button"><?= __('edit_profile2') ?></button>
                                <button onClick="AgencyEscorts.showEscort({section: 'gallery', escort: <?= $escort->id ?>})"
                                        class="btn btn-default custom-button"><?= __('edit_gallery') ?></button>
                                <button href="" class="btn btn-default custom-button"
                                        onclick="AgencyEscorts.update_escorts('deactivate', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})"><?= __('deactivate') ?></button>
                                <button href="" class="btn btn-default custom-button"
                                        onclick="AgencyEscorts.update_escorts('delete', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})"><?= __('delete') ?></button>
                           <? elseif ((ESCORT_STATUS_SUSPICIOUS_DELETED & $escort->status) != 0 || (ESCORT_STATUS_DELETED & $escort->status) != 0 || (ESCORT_STATUS_TEMPRARY_DELETED & $escort->status) != 0): ?>
                               <button class="btn btn-default custom-button"
                                       onclick="AgencyEscorts.update_escorts('restore', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})"><?= __('restore') ?></button>

                           <? elseif ((ESCORT_STATUS_OFFLINE & $escort->status) != 0 || (ESCORT_STATUS_AWAITING_PAYMENT & $escort->status) != 0): ?>
                                <button onClick="AgencyEscorts.showEscort({section: 'biography', escort: <?= $escort->id ?>})"
                                        class="btn btn-default custom-button"><?= __('edit_profile2') ?></button>
                                <button onClick="AgencyEscorts.showEscort({section: 'gallery', escort: <?= $escort->id ?>})"
                                        class="btn btn-default custom-button"><?= __('edit_gallery') ?></button>
                                <button href="" class="btn btn-default custom-button"
                                        onclick="AgencyEscorts.update_escorts('delete', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})"><?= __('delete') ?></button>
                            <? elseif ((ESCORT_STATUS_ADMIN_DISABLED & $escort->status) != 0 || (ESCORT_STATUS_OWNER_DISABLED & $escort->status) != 0): ?>
                                <button onClick="AgencyEscorts.showEscort({section: 'biography', escort: <?= $escort->id ?>})"
                                        class="btn btn-default custom-button"><?= __('edit_profile2') ?></button>
                                <button onClick="AgencyEscorts.showEscort({section: 'gallery', escort: <?= $escort->id ?>})"
                                        class="btn btn-default custom-button"><?= __('edit_gallery') ?></button>
                            <? if (!$is_admin_disabled): ?>
                                   <button href="" class="btn btn-default custom-button"
                                           onclick="AgencyEscorts.update_escorts('activate', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})"><?= __('activate') ?></button>

                               <? endif; ?>
                                <button href="" class="btn btn-default custom-button"
                                        onclick="AgencyEscorts.update_escorts('delete', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})"><?= __('delete') ?></button>
                            <? elseif ((ESCORT_STATUS_NO_ENOUGH_PHOTOS & $escort->status) != 0 && ($escort->status & ESCORT_STATUS_TEMPRARY_DELETED) == 0): ?>
                                <button onClick="AgencyEscorts.showEscort({section: 'biography', escort: <?= $escort->id ?>})"
                                        class="btn btn-default custom-button"><?= __('edit_profile2') ?></button>
                                <button onClick="AgencyEscorts.showEscort({section: 'gallery', escort: <?= $escort->id ?>})"
                                        class="btn btn-default custom-button"><?= __('edit_gallery') ?></button>
                           <? else: ?>
                               <button onClick="AgencyEscorts.showEscort({section: 'biography', escort: <?= $escort->id ?>})"
                                       class="btn btn-default custom-button"><?= __('edit_profile2') ?></button>
                               <button onClick="AgencyEscorts.showEscort({section: 'gallery', escort: <?= $escort->id ?>})"
                                       class="btn btn-default custom-button"><?= __('edit_gallery') ?></button>

                               <? if (!$is_offline): ?>
                                   <button href="" class="btn btn-default custom-button"
                                           onclick="AgencyEscorts.update_escorts('deactivate', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})"><?= __('deactivate') ?></button>

                               <? endif; ?>


                               <button href="" class="btn btn-default custom-button"
                                       onclick="AgencyEscorts.update_escorts('delete', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})"><?= __('delete') ?></button>


                           <? endif; ?>
                        </div>
                    </div>
                </div>

                <div class="modal animated fade escort-short-view-modal" id="short-view-escort-<?= $escort->id ?>">
                    <div class="modal-dialog">
                        <div class="modal-content">

                            <!-- Modal Header -->
                            <div class="modal-header">
                                <h4 class="modal-title"><?= __('edit_escort') ?></h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>

                            <!-- Modal body -->
                            <div class="modal-body">

                                <div class="d-flex justify-content-start align-items-center">
                                    <img class="escort-image roundimg mr-3" width="100" height="100"
                                         src="<?= ($main = $escort->getMainPhoto()) ? $main->getUrl('orig', true) : '/images/default-image.jpeg' ?>">
                                    <div>
                                        <h5 class="escort-showname mb-0"></h5>
                                        <p class="escort_preview-id mb-0"><?= $escort->showname ?></p>
                                        <h5 class="escort-showname mb-0"></h5>
                                        <p class="escort_preview-id mb-0"><?= __('id') ?>:&nbsp;<?= $escort->id ?></p>
                                        <h5 class="escort-showname mb-0"></h5>
                                        <p class="escort_preview-id mb-0"><?= __('city') ?>
                                            :&nbsp;<?= $escort->title_en ?> </p>
                                        <h5 class="escort-showname mb-0"></h5>
                                        <p class="escort_preview-id mb-0"><?= __('status') ?>:&nbsp;<?= $status ?> </p>
                                        <h5 class="escort-showname mb-0"></h5>
                                        <p class="escort_preview-id mb-0"><?= __('package') ?>
                                            :&nbsp;<?= ($escort->package_name) ? $escort->package_name : 'No active package' ?></p>
                                    </div>
                                </div>

                                <ul class="list-group mt-3">
                                    <a target="_blank" class="d-block text-blue"
                                       href="<?= $this->getLink('profile', ['showname' => $escort->showname, 'escort_id' => $escort->id]) ?>">
                                        <li class="list-group-item"><i class="fa fa-eye"
                                                                       aria-hidden="true"></i> <?= __('preview') ?></li>
                                    </a>

                                    <? if ($this->active_tab == 'all'): ?>
                                        <a data-dismiss="modal"
                                           onClick="AgencyEscorts.showEscort({section: 'biography', escort: <?= $escort->id ?>})"
                                           class="text-uppercase d-block text-blue">
                                            <li class="list-group-item"><i
                                                        class="far fa-edit"></i> <?= __('edit_profile2') ?></li>
                                        </a>
                                        <a data-dismiss="modal"
                                           onClick="AgencyEscorts.showEscort({section: 'gallery', escort: <?= $escort->id ?>})"
                                           class="text-uppercase d-block text-blue">
                                            <li class="list-group-item"><i
                                                        class="fa fa-camera"></i> <?= __('edit_gallery') ?></li>
                                        </a>
                                        <? if (!$is_offline): ?>
                                            <a data-dismiss="modal" class="text-uppercase d-block text-blue"
                                               onclick="AgencyEscorts.update_escorts('deactivate', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})">
                                                <li class="list-group-item"><i
                                                            class="fa fa-ban"></i> <?= __('deactivate') ?></li>
                                            </a>
                                        <? endif; ?>
                                        <a data-dismiss="modal" href="" class="text-uppercase d-block text-red"
                                           onclick="AgencyEscorts.update_escorts('delete', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})">
                                            <li class="list-group-item"><i class="fa fa-trash"></i> <?= __('delete') ?>
                                            </li>
                                        </a>
                                    <? elseif ($this->active_tab == 'active'): ?>
                                        <a data-dismiss="modal"
                                           onClick="AgencyEscorts.showEscort({section: 'biography', escort: <?= $escort->id ?>})"
                                           class="text-uppercase d-block text-blue">
                                            <li class="list-group-item"><i
                                                        class="far fa-edit"></i> <?= __('edit_profile2') ?></li>
                                        </a>
                                        <a data-dismiss="modal"
                                           onClick="AgencyEscorts.showEscort({section: 'gallery', escort: <?= $escort->id ?>})"
                                           class="text-uppercase d-block text-blue">
                                            <li class="list-group-item"><i
                                                        class="fa fa-camera"></i> <?= __('edit_gallery') ?></li>
                                        </a>
                                        <a data-dismiss="modal" class="text-uppercase d-block text-blue"
                                           onclick="AgencyEscorts.update_escorts('deactivate', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})">
                                            <li class="list-group-item"><i
                                                        class="fa fa-ban"></i> <?= __('deactivate') ?></li>
                                        </a>
                                        <a data-dismiss="modal" href="" class="text-uppercase d-block text-red"
                                           onclick="AgencyEscorts.update_escorts('delete', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})">
                                            <li class="list-group-item"><i class="fa fa-trash"></i> <?= __('delete') ?>
                                            </li>
                                        </a>
                                    <? elseif ($this->active_tab == 'disabled'): ?>
                                        <a data-dismiss="modal"
                                           onClick="AgencyEscorts.showEscort({section: 'biography', escort: <?= $escort->id ?>})"
                                           class="text-uppercase d-block text-blue">
                                            <li class="list-group-item"><i
                                                        class="far fa-edit"></i> <?= __('edit_profile2') ?></li>
                                        </a>
                                        <a data-dismiss="modal"
                                           onClick="AgencyEscorts.showEscort({section: 'gallery', escort: <?= $escort->id ?>})"
                                           class="text-uppercase d-block text-blue">
                                            <li class="list-group-item"><i
                                                        class="fa fa-camera"></i> <?= __('edit_gallery') ?></li>
                                        </a>
                                        <a data-dismiss="modal" href="" class="text-uppercase d-block text-blue"
                                           onclick="AgencyEscorts.update_escorts('activate', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})">
                                            <li class="list-group-item"><i
                                                        class="fa fa-check"></i> <?= __('activate') ?></li>
                                        </a>
                                        <a data-dismiss="modal" href="" class="text-uppercase d-block text-red"
                                           onclick="AgencyEscorts.update_escorts('delete', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})">
                                            <li class="list-group-item"><i class="fa fa-trash"></i> <?= __('delete') ?>
                                            </li>
                                        </a>
                                    <? elseif ($this->active_tab == 'deleted'): ?>
                                        <a data-dismiss="modal" href="" class="text-uppercase d-block text-blue"
                                           onclick="AgencyEscorts.update_escorts('restore', <?= $escort->id ?>, {escorts_page: AgencyEscorts.CURRENT_PAGE})">
                                            <li class="list-group-item"><i class="fa fa-undo"></i> <?= __('restore') ?>
                                            </li>
                                        </a>
                                    <? endif; ?>
                                </ul>
                            </div>

                            <!-- Modal footer -->
                            <div class="modal-footer">
                                <button type="button"
                                        class="btn btn-grey btn-block btn-blue-dark btn-large text-uppercase"
                                        data-dismiss="modal"><?= __('close') ?></button>
                            </div>

                        </div>
                    </div>
                </div>
            <? endforeach; ?>
        </div>

        <? $pages_count = ceil($this->count / $this->escorts_per_page); ?>
        <? if ($pages_count != 1): ?>
            <div class="inner-section">
                <div class="pagination-container d-flex justify-content-sm-center justify-content-md-between align-items-center">
                    <div class="pagination">
                        <? $pages = $this->paging($this->count, $this->escorts_page, $this->escorts_per_page, 7, 3); ?>
                        <? if (1 < $this->escorts_page): ?>
                            <a
                               onclick="return AgencyEscorts.update_escorts(null, null, { escorts_page: <?= $this->escorts_page - 1 ?> }, true);"
                               class="prev"></a>
                        <? endif ?>

                        <? foreach ($pages as $page): ?>
                            <? if ($this->escorts_page == $page): ?>
                                <a class="page-number active"><?= $page ?></a>
                            <? else: ?>
                                <a class='page-number grey'
                                   onclick="return AgencyEscorts.update_escorts(null, null, { escorts_page: <?= $page ?> }, true);"><?= $page ?></a>
                            <? endif ?>
                        <? endforeach ?>

                    </div>
                    <? if ($pages_count > $this->escorts_page): ?>
                        <a class='btn btn-brown uppercase'
                           onclick="return AgencyEscorts.update_escorts(null, null, { escorts_page: <?= $this->escorts_page + 1 ?> }, true);"
                           class="next"><?= __('next') ?></a>
                    <? endif ?>
                </div>
            </div>
        <? endif; ?>
    </div>

</div>


<div class="clear mb-20"></div>

